using Microsoft.Extensions.DependencyInjection;
using Postall.Domain;
using Postall.Domain.Contracts.Repositories;
using Postall.Domain.Services.Contracts;
using Postall.Infra.MongoDB.Repositories;
using Postall.Infra.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Postall.Infra.MongoDB.Extensions
{
    public static class ServiceRepositoryExtensions
    {
        public static IServiceCollection AddRepositories(this IServiceCollection services)
        {
            services.AddScoped<IChannelRepository, ChannelRepository>();
            services.AddScoped<IVideoRepository, VideoRepository>();
            services.AddScoped<IUserSocialRepository, UserSocialRepository>();

            return services;
        }
    }
}
